<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
  <section>              
    <fieldset>
      <legend>Datos personales </legend>
      <form>
        <label for="nombre">Nombre:</label>
        <input type="text" name="nombre" id="nombre" placeholder="Nombre" size="50"  required>
        <br>
        <br>
        <label for="edad">Edad:</label>
        <input type="text" name="edad" id="edad" placeholder="Edad" size="20"  required>
      </form>
    </fieldset>
  </section>
  <br>
  <section>              
    <fieldset>
    <legend>General </legend>
    <form>
      <label for="capital">Capital de Noruega:</label>
      <input type="checkbox" name="nombre" value="copenhague"  size="50"  required> Copenhague 
      <input type="checkbox" name="nombre" value="helsinki"  size="50"  required> Helsinki 
      <input type="checkbox" name="nombre" value="oslo"  size="50"  required> Oslo <br>
      <br>
      <label for="fecha-rv" >Fecha se Revolución Francesa:</label>
      <input type="checkbox" name="nombre" value="fecha"  size="50"  required> Copenhague 
      <input type="checkbox" name="nombre" value="fe"  size="50"  required> Helsinki 
      <input type="checkbox" name="nombre" value="fec" size="50" required> 1917   
    </fieldset>
    <input type="submit" name="btn_enviar" value="Enviar">
    <input type="reset" name="btn_borrar" value="Borrar">
</section>
    <h1>HTML5 number input</h1>
    <h3>Ejemplo</h3>
    <label for="eda">Introduce tu edad: </label>
    <input type="text" list="items">
    <datalist id="items">
      <option>1 año</option>
      <option>2 años</option>
    </datalist>
    <input type="submit" name="btn_enviar" value="Enviar">
    <br>
    <br>
    <h3>Ejemplo 2  </h3>
    <label for="edad">Introduce tu edad (min=18 max=99, campoobligatorio): </label>
    
    <input typo="text" name="edad">
    <input type="submit" name="btn_enviar" value="Enviar">
    <br>
    <br>
    <h3>Ejemplo 2 </h3>         
    <label for="eddad">Introduce tu edad (min=18 max=99, campoobligatorio): </label>
    <input typo="text" name="eddad">
    <input type="submit" name="btn_enviar" value="Enviar">
    <p>Análisis de ventas anuales</p>
                <table data-NumYears="Numero de años" data-NumProductsShow="Numero de productos mostrados" data-ProductName="Nombre del producto" data-NameTable="Nombre de la tabla">
                    <tr>
                        <th rowspan="2">Año</th>
                        <th colspan="4">Expansion de ventas</th>
                    </tr>
                    <tr>
                        <th>ProductoA</th>
                        <th>ProductoB</th>
                        <th>ProductoC</th>
                        <th>ProductoD</th>
                    </tr>
                    <tr>
                        <th>N-3</th>
                        <th>3</th>
                        <th>5</th>
                        <th>8</th>
                        <th>4</th>
                    </tr>
                    <tr>
                        <th>N-2</th>
                        <th>4</th>
                        <th>4</th>
                        <th>7</th>
                        <th>3</th>
                    </tr>
                    <tr>
                        <th>N-1</th>
                        <th>4</th>
                        <th>4</th>
                        <th>7</th>
                        <th>3</th>
                    </tr>
                    <tr>
                        <th>N</th>
                        <th>5</th>
                        <th>7</th>
                        <th>6</th>
                        <th>2</th>
                    </tr>
                    <tr>
                        <th rowspan="2">Año</th>
                        <th>ProductoA</th>
                        <th>ProductoB</th>
                        <th>ProductoC</th>
                        <th>ProductoD</th>
                    </tr>
                    <tr>

                        <th colspan="4">Expansion de ventas</th>
                    </tr>


                </table>
  </form>  
</body>
</html>